Failed update

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Failed update

Postby sunwatt on Wed Apr 13, 2011 10:17 am

I got the message about broken packages when I tried to update with update manager.

So I used this in terminal, which has worked for me in the past..........

sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade

It ran and most updates were done, at the end I got this message.

------------------------------------------------
xserver-xorg-video-mach64 (1:6.8.1~git20080301.56a1c9f0-1) experimental; urgency=low

* The mach64 submodule isn't included in ati anymore.
If your /etc/X11/xorg.conf contains Driver "ati", you need to keep
xserver-xorg-video-ati installed, or switch to Driver "mach64".

-- Brice Goglin <bgoglin@debian.org> Sun, 02 Mar 2008 12:55:47 +0100
---------------------------------------------------

Update manager says I have 2 more updates, kdenlive-data and kdenlive total of 3mb.

How can I fix this?

thanks

Jim
sunwatt
Level 2
Level 2
 
Posts: 88
Joined: Thu Jul 30, 2009 2:07 pm

Linux Mint is funded by ads and donations.
 

Re: Failed update

Postby viking777 on Wed Apr 13, 2011 11:09 am

xserver-xorg-video-mach64 (1:6.8.1~git20080301.56a1c9f0-1) experimental; urgency=low

* The mach64 submodule isn't included in ati anymore.
If your /etc/X11/xorg.conf contains Driver "ati", you need to keep
xserver-xorg-video-ati installed, or switch to Driver "mach64".

-- Brice Goglin <bgoglin@debian.org> Sun, 02 Mar 2008 12:55:47 +0100


I got this warning as well, I think everyone did. There is nothing wrong with this, unless you are using this particular driver, just ignore it.

As for the remaining two programs they are possibly being held back due to some conflict or other. Not being a KDE user I couldn't tell you for sure.

Run

Code: Select all
sudo aptitude install -s kdenlive


It will tell you what the problem is and what you can do about it.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: Failed update

Postby sunwatt on Wed Apr 13, 2011 12:29 pm

Ok, I ran that
sudo aptitude install -s kdenlive

This is the output

I use kdenlive.. and it works but has a problem when it starts up, and then I make it work.


/usr/bin/mint-fortune: line 35: [: ==: unary operator expected
jim@vostroa90-laptop ~ $ sudo aptitude install -s kdenlive
[sudo] password for jim:
The following NEW packages will be installed:
libmlt4{ab} libqjson0{a}
The following packages will be REMOVED:
emacsen-common{u} libavcore0{u} libdigest-sha1-perl{u} libppl-c2{u}
libppl7{u} libx264-112{u}
The following packages will be upgraded:
kdenlive kdenlive-data
2 packages upgraded, 2 newly installed, 6 to remove and 39 not upgraded.
Need to get 1,915 kB/4,674 kB of archives. After unpacking 3,764 kB will be freed.
The following packages have unmet dependencies:
libmlt4: Conflicts: libmlt3 but 1:0.6.2-0.0 is installed.
The following actions will resolve these dependencies:

Remove the following packages:
1) kdenlive

Keep the following packages at their current version:
2) libmlt4 [Not Installed]

Leave the following dependencies unresolved:
3) kdenlive-data recommends kdenlive


Accept this solution? [Y/n/q/?]
sunwatt
Level 2
Level 2
 
Posts: 88
Joined: Thu Jul 30, 2009 2:07 pm

Re: Failed update

Postby viking777 on Wed Apr 13, 2011 1:20 pm

So it is what I said, a dependency issue.

Wait for it to be resolved.
Fujitsu Lifebook AH532. Intel i5 processor, 6Gb ram, Intel HD3000 graphics, Intel Audio/wifi. Realtek RTL8111/8168B Ethernet.Lubuntu 13.10,Ubuntu12.10 (Unity), Mint16 (Cinnamon), Manjaro (Xfce).
Image
User avatar
viking777
Level 14
Level 14
 
Posts: 5153
Joined: Mon Dec 01, 2008 11:21 am

Re: Failed update (solved)

Postby sunwatt on Wed Apr 13, 2011 2:51 pm

Thanks, I'll wait and see
sunwatt
Level 2
Level 2
 
Posts: 88
Joined: Thu Jul 30, 2009 2:07 pm

Re: Failed update

Postby Darrel on Thu Apr 14, 2011 2:07 am

At that point I was told to TYPE "Q" and install continued and installed the remaining 2
worked fine .

Mean't to Quote the original msg in this Thread
Darrel
Level 1
Level 1
 
Posts: 4
Joined: Wed Apr 21, 2010 12:50 am

Re: Failed update [solved]

Postby sunwatt on Thu Apr 14, 2011 9:00 am

It fixed its own self yesterday
The system works so cleverly
Just took some time a short delay
To all I just say namaste
sunwatt
Level 2
Level 2
 
Posts: 88
Joined: Thu Jul 30, 2009 2:07 pm

Linux Mint is funded by ads and donations.
 

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 4 guests